<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Teachers extends Controller_Environment_Admin
{
    public function action_index() {
        $this->twig->set_filename('admin/teachers/index')
            ->set('Faculties', Model_Faculties::load());
    }

    public function action_add() {
        $this->twig->set([
            'JobPositions' => Model_Teachers::getJobPositions(),
            'Faculties'    => Model_Faculties::load(),
        ])->set_filename('admin/teachers/add');
    }

    public function action_upload() {
        $result['success'] = false;

        if (!empty($_FILES['teachers']) && $this->request->method() == 'POST') {
            $file = $_FILES["teachers"]["tmp_name"];
            $result = FileParser::TeachersList($file);
        }

        $this->twig->set([
            'UploadingResult' => $result,
            'Faculties'       => Model_Faculties::load(),
        ])->set_filename('admin/teachers/upload');
    }
}           